V1 and V2Categories

Delete an asset category

DELETE
/api/v1/categories/file/{category_id}

Deletes a category and all its subcategories.

WARNING All subcategories will be removed too.

If you want to preserve some of the subcategories, it's mandatory you move them before deleting parent category.

A 204 response is returned upon success.

If category to be deleted, or any of its subcategories, is used as root category in some E-Catalog a 409 response code will be returned. Please look at https://help.plytix.com/designing-e-catalogs for more information on E-Catalogs and filters

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

category_id*string

Response Body

curl -X DELETE 'https://example.com/api/v1/categories/file/string'
Empty